Issue 1041 darcs get creates directory, even if URL invalid

Title darcs get creates directory, even if URL invalid
Priority bug Status resolved
Milestone Resolved in
Superseder Nosy List Serware, cliffordbeshers, darcs-devel, ddvlad, dmitry.kurochkin, gwern, jaredj, kowey, thorkilnaur
Assigned To
Topics ProbablyEasy, UI

Created on 2008-08-28.21:51:50 by cliffordbeshers, last changed 2009-10-23.23:30:16 by admin.

msg5786 (view) Author: cliffordbeshers Date: 2008-08-28.21:51:45
darcs get 'http://nonexistenturl/nonexistentdirectory'
creates 'nonexistentdirectory'.  I think in this case there should be no
directory left.
msg5787 (view) Author: gwern Date: 2008-08-28.22:27:37
I've noticed this behavior too, and agree with Clifford that the current
behavior is bad.
msg5788 (view) Author: kowey Date: 2008-08-28.22:43:56
Sounds like an easy one to fix.  Anybody who wants to work on this should have a
look at src/Darcs/Commands/Get.lhs.  Thanks!
msg6085 (view) Author: droundy Date: 2008-09-22.20:22:35
The following patch updated the status of issue1041 to be resolved:

* resolve issue1041: add test for issue1041. 
Ignore-this: 5a6330158d16a24d45f58268c0edb823
Note that this issue was actually resolved by Vlad Dogaru.  I just
wrote the test.
Date User Action Args
2008-08-28 21:51:51cliffordbesherscreate
2008-08-28 22:27:39gwernsetstatus: unread -> unknown
nosy: + gwern
messages: + msg5787
2008-08-28 22:44:02koweysetstatus: unknown -> needs-reproduction
nosy: + jaredj
topic: + ProbablyEasy, UI, - Darcs2
messages: + msg5788
2008-09-22 16:02:46ddvladsetnosy: + simon, ddvlad
2008-09-22 20:22:37droundysetstatus: needs-reproduction -> resolved-in-unstable
nosy: + droundy
messages: + msg6085
2008-10-09 11:51:17dmitry.kurochkinlinkissue1132 superseder
2009-04-22 03:33:30twbsetstatus: resolved-in-unstable -> resolved
nosy: + dmitry.kurochkin, thorkilnaur
2009-08-06 18:00:27adminsetnosy: + markstos, jast, darcs-devel, zooko, mornfall, tommy, beschmi, - droundy, gwern, jaredj, cliffordbeshers, ddvlad
2009-08-06 21:12:04adminsetnosy: - beschmi
2009-08-10 21:47:54adminsetnosy: + cliffordbeshers, gwern, ddvlad, jaredj, - tommy, markstos, darcs-devel, zooko, jast, mornfall
2009-08-10 23:44:13adminsetnosy: - dagit
2009-08-25 17:25:13adminsetnosy: + darcs-devel, - simon
2009-08-27 14:18:58adminsetnosy: kowey, darcs-devel, thorkilnaur, gwern, jaredj, dmitry.kurochkin, Serware, cliffordbeshers, ddvlad
2009-10-23 22:44:33adminsetnosy: + serware, - Serware
2009-10-23 23:30:16adminsetnosy: + Serware, - serware